/********************************************************************/
/*                        Programme VMG_v3_LCD                      */
/********************************************************************/
// le 06 10 2016
// ATmega164

// extrait la donnee 'vitesse fond' de la trame GPS "$GPVTG"
// pour l'injecter sur le bus Seatalk mais pas en vitesse fond (0x52 0x01 XX XX)
// la GA demande l'ID de la vitesse surface (0x20 0x01 XX XX)
// avec XX XX lsb first, msb second, vitesse en diziemes de noeuds.
// ajout dans ATmega164P_VMG.h de TAILLE, EMPTY et FULL
#include "ATmega164_VMG.h"

extern void Initialisations(void);
extern byte Reception_Trame_NMEA(void);
extern byte Emission_Trame_Seatalk(void);
extern void Tempo_1s(void);

// Fonction principale de VMG_v3_LCD
//**********************************
void main (void)
	{
	Initialisations();
	Interrupts_Enable;
	while (1)
		{
		while (Reception_Trame_NMEA()==FALSE);				// reception sur USART0
		asm("NOP");
		while (Emission_Trame_Seatalk()==FALSE);			// emission sur USART1
		Tempo_1s();
		}
	}

